net.i2p

## Class CoreVersion

- java.lang.Object
- - net.i2p.CoreVersion

-     public class CoreVersion
      extends Object

  Expose a version string. See also: RouterVersion, VersionComparator, and the update subsystem.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID` deprecated
    `static String` | `PUBLISHED_VERSION` The version published in the netdb via StatisticsManager.
    `static String` | `VERSION` The version used when checking for router updates, and exchanged between router and client over I2CP.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreVersion()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getVersion()` For Vuze.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      deprecated
      See Also:
        Constant Field Values

    - #### PUBLISHED_VERSION

          public static final String PUBLISHED_VERSION

      The version published in the netdb via StatisticsManager. This is the API version. It must not go to 1.x for several years, because through 0.9.49, the Sybil analyzer blocked releases that didn't start with "0.9." If we ever need a point release for a specific architecture only, append ".1" to VERSION and leave PUBLISHED_VERSION unchanged. Otherwise, the same as VERSION. RouterVersion.FULL_VERSION is suggested for display to the user.
      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      The version used when checking for router updates, and exchanged between router and client over I2CP. This is the marketing and user-visible version. If we ever need a point release for a specific architecture only, append ".1" to VERSION and leave PUBLISHED_VERSION unchanged. Otherwise, the same as PUBLISHED_VERSION. RouterVersion.FULL_VERSION is suggested for display to the user.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreVersion

          public CoreVersion()

  - ### Method Detail

    - #### getVersion

          public static String getVersion()

      For Vuze.
      Returns:
        VERSION

    - #### main

          public static void main(String[] args)